# Copyright 2020 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

from __future__ import absolute_import
from __future__ import division
from __future__ import print_function

import unittest

import numpy as np
import torch


class TorchTestCase(unittest.TestCase):

    def tensorAssertAllClose(self, actual, expected, rtol=1e-2, atol=1e-3):
        if actual is None:
            self.assertEqual(expected, None)
        else:
            torch.testing.assert_allclose(actual, expected, rtol=rtol, atol=atol)

    def arrayAssertAllClose(self, actual, expected, rtol=1e-2, atol=1e-3):
        if actual is None:
            self.assertEqual(expected, None)
        np.testing.assert_allclose(actual, expected, rtol, atol)
